Bug 1310705 - Problem when configuring ovirt-engine with dockerc plugin enabled
Problem when configuring ovirt-engine with dockerc plugin enabled
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
future
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Rafael Martins
Gonza
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 09:45 EST by Rafael Martins
Modified: 2017-05-11 05:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 04:55:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53838 master MERGED packaging: setup: dockerc: fix usage of ovirt_setup_lib.hostname 2016-02-23 09:49 EST

  None (edit)
Description Rafael Martins 2016-02-22 09:45:42 EST
Description of problem: When configuring ovirt-engine with dockerc plugin enabled, I got an error when the plugin instantiates the Hostname class from ovirt_setup_lib, and instead of store the object in a variable, it stores the return of the getHostname method, that is a string, and not the Hostname instance object.


Version-Release number of selected component (if applicable):


How reproducible: run engine-setup with docker plugin installed and enable cinder and glance support (not sure if both are needed)


Actual results: Error message saying that a string does not have a isResolvedByDNS method (unfortunately I lost the logs in a snapshot rollback)


Expected results: ovirt-engine properly installed and running


Additional info:

Note You need to log in before you can comment on or make changes to this bug.